Bug 786931 - sysObjectID cannot be set to an OID value with a length greater than 10.
Summary: sysObjectID cannot be set to an OID value with a length greater than 10.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-02 17:03 UTC by dcardimi
Modified: 2012-06-20 07:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Before this release, length of OID parameter of "sysObjectID" snmpd.conf config file option was not correctly stored in snmpd, which resulted in SNMPv2-MIB::sysObjectID being truncated if the OID had more than 10 components. In this update, handling of the length of the OID is fixed and SNMPv2-MIB::sysObjectID is returned correctly.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:22:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0876 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2012-06-19 19:28:47 UTC

Description dcardimi 2012-02-02 17:03:37 UTC
Description of problem:
sysObjectID can be configured in /etc/snmp/snmpd.conf.  However, if you set it to an OID with a length greater than 10 (the default value's length), it only reports the first 10 digits.  For example, the default value is ".1.3.6.1.4.1.8072.3.2.10".  If you change it to ".1.3.6.1.4.1.9.8.7.6.5.4.3", the agent will only report ".1.3.6.1.4.1.9.8.7.6".

Version-Release number of selected component (if applicable):
net-snmp-5.5-37.el6_2.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/snmp/snmpd.conf, and add a line to specify the sysObjectID - something like "sysObjectID .1.3.6.1.4.1.9.8.7.6.5.4.3"
2. Restart the agent
3. Query the sysObjectId
  
Actual results:
The agent will return the specified OID truncated to ".1.3.6.1.4.1.9.8.7.6"

Expected results:
The agent should return the whole OID as specified in the config file.

Additional info:
Here is the link to the net-snmp git repository with the patch that fixes it:
http://net-snmp.git.sourceforge.net/git/gitweb.cgi?p=net-snmp/net-snmp;a=commit;h=beff228a976472e53d67e56f7e820cb3eb411639

Comment 3 Jan Safranek 2012-02-06 11:45:57 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Before this release, length of OID parameter of "sysObjectID"  snmpd.conf config file option was not correctly stored in snmpd, which resulted in SNMPv2-MIB::sysObjectID being truncated if the OID had more than 10 components. In this update, handling of the length of the OID is fixed and SNMPv2-MIB::sysObjectID is returned correctly.

Comment 6 errata-xmlrpc 2012-06-20 07:22:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0876.html


Note You need to log in before you can comment on or make changes to this bug.